Bug 150063 - OpenOffice 1.1.3 from the updates crashes consistantly on chart edits
OpenOffice 1.1.3 from the updates crashes consistantly on chart edits
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-01 21:02 EST by Sam Grinstead
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.1.3-11.5.0.fc3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 08:16:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case for crashing 1.1.3 (48.72 KB, application/octet-stream)
2005-03-18 11:54 EST, Sam Grinstead
no flags Details

  None (edit)
Description Sam Grinstead 2005-03-01 21:02:37 EST
From Bugzilla Helper:
User-Agent: Opera/8.0 (X11; Linux i686; U; en)

Description of problem:
When trying to edit a chart in the OpenOffice.org Calc application, 
double clicking on a series, then clicking the line tab causes the 
application to crash.

In other circumstances, double clicking a series when the line tab was 
previously activated causes the application to crash when "ok" is 
clicked to apply any changes made in the settings in that tab.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Create a spreadsheet with several charts (multiple lines per chart)
2. Double click a series to edit it
3. Click the lines tab.
4. ???
5. Profit

Actual Results:  The aplication crashed out (segfault)

Expected Results:  The line tab should have appeared, allowing one to 
change the color/fill of a series line.

Additional info:

Reverting to the OO.org 1.1.2 that shipped with fc3 causes this 
problem to disappear.
Comment 1 Caolan McNamara 2005-03-18 07:36:46 EST
caolanm->sam: Can you attach a sample .sxc which when clicked on like above
reproduces the crash ?
Comment 2 Sam Grinstead 2005-03-18 11:54:46 EST
Created attachment 112132 [details]
Test case for crashing 1.1.3

Sorry this isn't a cleaner test case, but...

Just use the graph that's the farthest to the right (labelled "Lambda = 3.7"
it's the only one with two lines on it).

This is the last graph generated that kept crashing OOo before I downgraded.

Sam
Comment 3 Chris Fosnight 2005-04-05 16:17:44 EDT
I've had the same problem when trying to edit bar colors in a bar graph.  The
program crashes when I click OK.  This has happened every time I tried (about a
dozen times with 3 charts in 3 seperate files).  I haven't tried reverting back
to the version on the dvd.
Comment 4 Caolan McNamara 2005-04-28 08:16:51 EDT
I've was able to change the colour of the yellow line to a different colour in
the latest FC3 update 1.1.3-11.5.0.fc3

Note You need to log in before you can comment on or make changes to this bug.